@echo off
cls
SET SUBDIR=%~dp0
echo JPfm : SplitFileSystem
echo ----------------------
echo This is the commandline interface. 
echo A better way using jpfm is configuring it by running install.bat
echo.
echo Correct usage example :
echo -----------------------
echo File to mount = c:\videos\somemovie.avi.001
echo Mount location = c:\videos\somemovie.avi
echo.
echo java jpfm.splitfs.SplitFS "c:\videos\somemovie.avi.001" "c:\videos\somemovie.avi"
echo.
echo OR
echo.
echo java jpfm.splitfs.SplitFS "c:\videos\somemovie.avi.001" "c:\videos\somemovie.avi" "C:\windows\system32\jpfm.dll"
echo.
echo.
echo Mount location can be the same file. Example :
echo ----------------------------------------------
echo.
echo java jpfm.splitfs.SplitFS "c:\videos\somemovie.avi.001" "c:\videos\somemovie.avi.001"
echo.
echo.
echo.
echo Mount location should either be a file, or folder. It is advised that if folder, it should be empty
java -cp "%SUBDIR%\jpfm.jar" jpfm.splitfs.SplitFS "%1" "%2" "%SUBDIR%\jpfm.dll"
pause